﻿using System.Windows;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Drawing;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.Wpf;

namespace _9630
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            map.MapUnit = GeographyUnit.Meter;

            OpenStreetMapOverlay osm = new OpenStreetMapOverlay();
            map.Overlays.Add(osm);

            LayerOverlay layerOverlay = new LayerOverlay();
            InMemoryFeatureLayer layer = new InMemoryFeatureLayer();
            layer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.StandardColors.Transparent, GeoColor.StandardColors.Blue);
            layer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            layer.InternalFeatures.Add(new Feature(new RectangleShape(2018042.17380401, 5134294.601809, 3717141.987822, 4273310.06864)));

            layerOverlay.Layers.Add(layer);
            map.Overlays.Add(layerOverlay);

            map.CurrentExtent = new RectangleShape(2018042.17380401, 5134294.601809, 3717141.987822, 4273310.06864);
            map.Refresh();
        }
    }
}
